from enum import Enum

class NavigationalStatus(Enum):
    UNDER_WAY_USING_ENGINE = 0
    AT_ANCHOR = 1
    NOT_UNDER_COMMAND = 2
    RESTRICTED_MANEUVERABILITY = 3
    CONSTRAINED_BY_HER_DRAUGHT = 4
    MOORED = 5
    AGROUND = 6
    ENGAGED_IN_FISHING = 7
    UNDER_WAY_SAILING = 8
    TOWING_ASTERN = 11
    PUSHING_AHEAD = 12
    EMERGENCY = 14
    UNDEFINED = 15